-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009-2016 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org


newBirthDescriptor{
	type = "subclass",
	name = "Magic Swordsman",
--	locked = function() return profile.mod.allow_build.afflicted_ruined end,
	locked_desc = "A mage who imbues the power of magic into his weaponry",
	desc = {".", "Their most important stats are: Strength, Magic/Willpower/Cunning ", "#GOLD#Stat modifiers:", "#LIGHT_BLUE# * +2 Strength, +0 Dexterity,",  "#LIGHT_BLUE# * +0 Constitution, +2 Magic,", "#LIGHT_BLUE# * +2 Willpower, +2 Cunning",  "#GOLD#Life per level:#LIGHT_BLUE# 0" },
-- Mage physical/spell hybrid class
	stats = { str=3 mag=2, wil=2, cun=2},
	talents_types={
		["technique/magical-combat"]={false, 0.3},
		["technique/combat-techniques-active"]={true, 0.3},
		["technique/combat-techniques-passive"]={false, 0.3},
		["technique/combat-training"]={true, 0.3},
		["technique/shield-offense"]={false, 0.2},
		["technique/shield-defense"]={false, 0.2},
		["cunning/survival"]={true, 0.1},
		["cunning/dirty"]={true, 0.2},	
		["spell/aegis"]={true, 0.2},
		["spell/enhancement"]={false, 0.2},
		["technique/arcane-veteran"]={true,0.2},
	-- insert talent categories here	
	},
	power_source = {psionic=true, arcane=true, technique=true},
	talents = {
		[ActorTalents.T_WEAPON_COMBAT] = 1,
		[ActorTalents.T_ARMOUR_TRAINING] = 2,
		[ActorTalents.T_WEAPONS_MASTERY] = 1,

		-- insert talents known at birth here
	},
	copy = {
		mana_regen = 0.5,
		mana_rating = 6,
		max_life = 100,
		resolvers.equipbirth{ id=true,
			{type="weapon", subtype="longsword", name="iron", autoreq=true, ego_chance=-1000, ego_chance=-1000},
			{type="armor", subtype="heavy", name="iron", autoreq=true, ego_chance=-1000, ego_chance=-1000},
			{type="armor", subtype="shield", name="iron", autoreq=true, ego_chance=-1000, ego_chance=-1000},
		},
	copy_add = {
		unused_generics = 1,
		unused_talents = 2,
		unused_talents_types = 3,
      life_rating = 1,
   },
}

getBirthDescriptor("class", "Mage").descriptor_choices.subclass["Magic Swordsman"] = "allow"
