-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011, 2012, 2013 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
	-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

newTalent{
	name = "Flame Cladding",
	type = {"spell/Arcane-cladding", 1},
	mode = "sustained",
	points = 5,
	require = spell_req1,
	sustain_mana = 10,
	cooldown = 5,
	tactical = { BUFF = 2 },
	getDamage = function(self, t) return 4 + self:combatTalentSpellDamage(t, 2, 50) end,
	activate = function(self, t)
		local ret = {}
		if core.shader.active(4) then
			local slow = rng.percent(50)
			local h1x, h1y = self:attachementSpot("hand1", true) if h1x then self:talentParticles(ret, {type="shader_shield", args={img="shadowhands_01", dir=180, a=0.7, size_factor=0.4, x=h1x, y=h1y-0.1}, shader={type="flamehands", time_factor=slow and 700 or 1000}}) end
			local h2x, h2y = self:attachementSpot("hand2", true) if h2x then self:talentParticles(ret, {type="shader_shield", args={img="shadowhands_01", dir=180, a=0.7, size_factor=0.4, x=h2x, y=h2y-0.1}, shader={type="flamehands", time_factor=not slow and 700 or 1000}}) end
		end
		return ret
	end,
	deactivate = function(self, t, p)
		return true
	end,
	info = function(self, t)
		local damage = t.getDamage(self, t)
		local manacost = t.getManaCost(self, t)
		return ([[Channel raw magical energy into your melee attacks; each blow you land will do an additional %.4f fire damage.
		The damage will improve with your Spellpower.]]):
		format(damDesc(self, DamageType.FIRE, damage)
	end,
}

newTalent{
	name = "Thunder Cladding",
	type = {"spell/Arcane-cladding", 2},
	mode = "sustained",
	points = 5,
	require = spell_req2,
	sustain_mana = 10,
	cooldown = 5,
	tactical = { BUFF = 2 },
	getDamage = function(self, t) return 4 + self:combatTalentSpellDamage(t, 2, 50) end,
	activate = function(self, t)
		local ret = {}
		if core.shader.active(4) then
			local slow = rng.percent(50)
			local h1x, h1y = self:attachementSpot("hand1", true) if h1x then self:talentParticles(ret, {type="shader_shield", args={img="shadowhands_01", dir=180, a=0.7, size_factor=0.4, x=h1x, y=h1y-0.1}, shader={type="flamehands", time_factor=slow and 700 or 1000}}) end
			local h2x, h2y = self:attachementSpot("hand2", true) if h2x then self:talentParticles(ret, {type="shader_shield", args={img="shadowhands_01", dir=180, a=0.7, size_factor=0.4, x=h2x, y=h2y-0.1}, shader={type="flamehands", time_factor=not slow and 700 or 1000}}) end
		end
		return ret
	end,
	deactivate = function(self, t, p)
		return true
	end,
	info = function(self, t)
		local damage = t.getDamage(self, t)
		local manacost = t.getManaCost(self, t)
		return ([[Channel raw magical energy into your melee attacks; each blow you land will do an additional %.4f lightning damage.
		The damage will improve with your Spellpower.]]):
		format(damDesc(self, DamageType.LIGHTNING, damage)
	end,
}

newTalent{
	name = "Frost Cladding",
	type = {"spell/Arcane-cladding", 3},
	mode = "sustained",
	points = 5,
	require = spell_req3,
	sustain_mana = 10,
	cooldown = 5,
	tactical = { BUFF = 2 },
	getDamage = function(self, t) return 4 + self:combatTalentSpellDamage(t, 2, 50) end,
	activate = function(self, t)
		local ret = {}
		if core.shader.active(4) then
			local slow = rng.percent(50)
			local h1x, h1y = self:attachementSpot("hand1", true) if h1x then self:talentParticles(ret, {type="shader_shield", args={img="shadowhands_01", dir=180, a=0.7, size_factor=0.4, x=h1x, y=h1y-0.1}, shader={type="flamehands", time_factor=slow and 700 or 1000}}) end
			local h2x, h2y = self:attachementSpot("hand2", true) if h2x then self:talentParticles(ret, {type="shader_shield", args={img="shadowhands_01", dir=180, a=0.7, size_factor=0.4, x=h2x, y=h2y-0.1}, shader={type="flamehands", time_factor=not slow and 700 or 1000}}) end
		end
		return ret
	end,
	deactivate = function(self, t, p)
		return true
	end,
	info = function(self, t)
		local damage = t.getDamage(self, t)
		local manacost = t.getManaCost(self, t)
		return ([[Channel raw magical energy into your melee attacks; each blow you land will do an additional %.4f cold damage.
		The damage will improve with your Spellpower.]]):
		format(damDesc(self, DamageType.COLD, damage)
	end,
}

newTalent{
	name = "Arcane Cladding",
	type = {"spell/Arcane-cladding", 4},
	mode = "sustained",
	points = 5,
	require = spell_req4,
	sustain_mana = 10,
	cooldown = 5,
	tactical = { BUFF = 2 },
	getDamage = function(self, t) return 4 + self:combatTalentSpellDamage(t, 2, 50) end,
	activate = function(self, t)
		local ret = {}
		if core.shader.active(4) then
			local slow = rng.percent(50)
			local h1x, h1y = self:attachementSpot("hand1", true) if h1x then self:talentParticles(ret, {type="shader_shield", args={img="shadowhands_01", dir=180, a=0.7, size_factor=0.4, x=h1x, y=h1y-0.1}, shader={type="flamehands", time_factor=slow and 700 or 1000}}) end
			local h2x, h2y = self:attachementSpot("hand2", true) if h2x then self:talentParticles(ret, {type="shader_shield", args={img="shadowhands_01", dir=180, a=0.7, size_factor=0.4, x=h2x, y=h2y-0.1}, shader={type="flamehands", time_factor=not slow and 700 or 1000}}) end
		end
		return ret
	end,
	deactivate = function(self, t, p)
		return true
	end,
	info = function(self, t)
		local damage = t.getDamage(self, t)
		local manacost = t.getManaCost(self, t)
		return ([[Channel raw magical energy into your melee attacks; each blow you land will do an additional %.4f arcane damage.
		The damage will improve with your Spellpower.]]):
		format(damDesc(self, DamageType.ARCANE, damage)
	end,
}
